OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Types | List of all members
MyTraits Struct Reference
Inheritance diagram for MyTraits:
[legend]
Collaboration diagram for MyTraits:
[legend]

## Classes
struct | VertexT

## Public Types
enum | { VertexAttributes = OpenMesh::Attributes::Status }
enum | { FaceAttributes = OpenMesh::Attributes::Status }
enum | { EdgeAttributes = OpenMesh::Attributes::Status }
enum | { VertexAttributes = OpenMesh::Attributes::Status }
enum | { FaceAttributes = OpenMesh::Attributes::Status }
enum | { VertexAttributes = OpenMesh::Attributes::Status }
enum | { HalfedgeAttributes = OpenMesh::Attributes::PrevHalfedge }
enum | { FaceAttributes = OpenMesh::Attributes::Status }
enum | { VertexAttributes = OpenMesh::Attributes::Status }
enum | { EdgeAttributes = OpenMesh::Attributes::Status }
enum | { HalfedgeAttributes = OpenMesh::Attributes::PrevHalfedge }
enum | { FaceAttributes = OpenMesh::Attributes::Status }
enum | { HalfedgeAttributes = OpenMesh::Attributes::PrevHalfedge }
enum | { VertexAttributes = OpenMesh::Attributes::Status }
enum | { FaceAttributes = OpenMesh::Attributes::Status }
enum | { EdgeAttributes = OpenMesh::Attributes::Status }
typedef OpenMesh::Vec3f | Point
typedef OpenMesh::Vec3f | Normal
Public Types inherited from OpenMesh::DefaultTraits
enum | { VertexAttributes = 0 }
enum | { HalfedgeAttributes = Attributes::PrevHalfedge }
enum | { EdgeAttributes = 0 }
enum | { FaceAttributes = 0 }
typedef Vec3f | Point
| The default coordinate type is OpenMesh::Vec3f.
typedef Vec3f | Normal
| The default normal type is OpenMesh::Vec3f.
typedef float | TexCoord1D
| The default 1D texture coordinate type is float.
typedef Vec2f | TexCoord2D
| The default 2D texture coordinate type is OpenMesh::Vec2f.
typedef Vec3f | TexCoord3D
| The default 3D texture coordinate type is OpenMesh::Vec3f.
typedef int | TextureIndex
| The default texture index type.
typedef Vec3uc | Color
| The default color type is OpenMesh::Vec3uc.

The documentation for this struct was generated from the following files:

- Doc/Tutorial/07-traits/smooth.cc
- Doc/Tutorial/07b-delete_geometry/delete_geometry.cc
- OpenMesh/Apps/Decimating/DecimaterViewerWidget.hh
- OpenMesh/Apps/mconvert/mconvert.cc
- OpenMesh/Apps/ProgViewer/ProgViewerWidget.hh
- OpenMesh/Apps/QtViewer/MeshViewerWidget.hh
- OpenMesh/Examples/Tutorial08/delete_geometry.cc
- OpenMesh/Apps/Smoothing/smooth.cc